<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddAarGroupReq StructType
 * @subpackage Structs
 */
class AddAarGroupReq extends APIRequest
{
    /**
     * The aarGroup
     * @var XAarGroup
     */
    public $aarGroup;
    /**
     * Constructor method for AddAarGroupReq
     * @uses AddAarGroupReq::setAarGroup()
     * @param XAarGroup $aarGroup
     */
    public function __construct(XAarGroup $aarGroup = null)
    {
        $this
            ->setAarGroup($aarGroup);
    }
    /**
     * Get aarGroup value
     * @return XAarGroup|null
     */
    public function getAarGroup()
    {
        return $this->aarGroup;
    }
    /**
     * Set aarGroup value
     * @param XAarGroup $aarGroup
     * @return AddAarGroupReq
     */
    public function setAarGroup(XAarGroup $aarGroup = null)
    {
        $this->aarGroup = $aarGroup;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddAarGroupReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
